<template>
  <ul>
    <li>Health: {{ pieceInfo.currentHealth }}</li>
    <li>Movement: {{ pieceInfo.movement }}</li>
    <li>Damage: {{ pieceInfo.damage }}</li>
    <li>Damage Type: {{ getDamageType(pieceInfo.damageType) }}</li>
    <li>Physical Defence: {{ pieceInfo.physicalDefence }}</li>
    <li>Magical Defence: {{ pieceInfo.magicalDefence }}</li>
    <li>Range: {{ pieceInfo.range }}</li>
  </ul>
</template>

<script lang="ts">
import Vue from "vue";
import { Prop, Component } from "vue-property-decorator";
import { PieceInfo, DamageType } from "../models/pieceModels";

@Component
export default class DetailedStatus extends Vue {
  @Prop() readonly pieceInfo!: PieceInfo;

  getDamageType(damageType: DamageType) {
    switch (damageType) {
      case DamageType.PHYSICAL:
        return "Physical";
      case DamageType.MAGICAL:
        return "Magical";
    }
  }
}
</script>
